Subject: Re: [nmrg] Review of draft-irtf-nmrg-autonomic-network-definitions-04

From: Kostas Pentikousis <[email-masked]>
Date: Wed, 5 Nov 2014 18:23:26 +0100

Hi Brian,

| Thanks for the review.

You're most welcome.

| > I reviewed draft-irtf-nmrg-autonomic-network-definitions-04.
| > Overall, the draft is easy-to-read, but it feels more like "original"
| > work than the RG documents I'm familiar with. As I mentioned in the
| > Toronto meeting and on the list, the draft lacks the appropriate list
| > of "citations and references to relevant research publications". I
| > personally do not consider sufficient the three references mentioned
| > in passing ("There is a large literature, including several useful
| > overview papers (e.g., [Samaan], [Movahedi], and [Dobson])").
| 
| This is not an academic research publication or a dissertation, that
| would require a complete literature review. I think that mentioning a
| few papers is really all that is called for. We did try to identify
| papers that seemed to survey the field.

I certainly didn't review it as if it were an scholarly article or a dissertation :)

An NMRG draft (in "last call") entitled "Autonomic Networking - Definitions and Design Goals" should reflect better the R&D work done in autonomic networking for more than a decade. The abstract indicates that this "document applies the concepts of autonomic systems to a network, and describes the definitions and design goals of Autonomic Networking". In 2014, our starting point is by no means the application "of autonomic systems to a network", neither in research nor in engineering.

Perhaps we have different target audiences in mind. Who do you think would be interested in reading this draft? 

<snip>

| > In summary: If this draft is to become the reference RFC on Autonomic
| > Networking,
| 
| Is that the goal? I see it more as a snapshot of current understanding.

The title and the abstract aspires to that. I disagree that this draft describes our current understanding. Either way, why do we need a last call for a "snaphot"? There's no milestone to reach as in IETF WGs and we can get this right.

| > more work is needed in the RG.
| 
| I am sure more work is needed; hence my idea that this draft is a
| snapshot.

I'm glad we agree on the "more work needed" part. I don’t understand the snapshot motivation though.

| > General comments: -----------------
| >
| > The draft includes some normative-resembling language, which may be
| > misleading to uninitiated readers:
| 
| Really? They are just normal English words and we do not cite RFC 2119,
| of course. And it is intended to be an Informational RFC, so I don't
| see any real reason for confusion. (The upper case NOT could be made
| lower case.)

I did mention uninitiated readers. Early stage researchers and practitioners are not always fully familiar with the nomenclature of 2119. If it sounds like normative, folks may get confused. Perhaps a disclaimer in a couple of places would do it (as per 5743), although I do think this text could be easily edited to avoid any such confusion.

| It's pretty common for work in the IRTF to be preparation for work in
| the IETF. You are correct that decisions about the IETF are taken in
| the IETF, so I agree that this should be rephrased to make the
| responsibility clear.

I couldn't agree more on how successful this NMRG effort has been so far. Setting up ANIMA is already a fit, let alone finally turning the curve on autonomic networking in the IETF. I'm looking forward to see more action in this direction esp. in combination with current infrastructure softwarization developments.

Best regards,

Kostas